LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GraphicObject Service Reference

The `GraphicObject` service can be used to create XGraphicObject instances. More...

`import <GraphicObject.idl;`

Inheritance diagram for GraphicObject:

## Public Member Functions
| create ()
| Creates a GraphicObject.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Additional Inherited Members
Public Attributes inherited from XGraphicObject
XGraphic | Graphic
| is the associated image/graphic for this object.

## Detailed Description

The `GraphicObject` service can be used to create XGraphicObject instances.

See also
  GraphicObject
  GraphicProvider
  MediaProperties

## Member Function Documentation

## ◆ create()

create | ( |  | ) |

Creates a GraphicObject.

The documentation for this service was generated from the following file:

- com/sun/star/graphic/GraphicObject.idl